# Demobeispiel_Sizer_2.py
import wx

### ---------------------------------------------------
class MyFrame(wx.Frame):
    def __init__(
            self, parent, ID, title, pos=wx.DefaultPosition,
            size=wx.DefaultSize, style=wx.DEFAULT_FRAME_STYLE
            ):

        wx.Frame.__init__(self, parent, ID, title, pos, size, style)
        panel = wx.Panel(self, -1)

        box = wx.BoxSizer(wx.VERTICAL)

        machtNixButton = wx.Button(panel, -1, "Macht nix")
        box.Add(machtNixButton, 0, wx.ALL, 10) # Abstand einhalten
        besserwisserButton = wx.Button(panel, -1, "Besserwisser")
        box.Add(besserwisserButton, 0, wx.ALL, 10) # Abstand einhalten
        endeButton = wx.Button(panel, -1, "Close Me")
        box.Add(endeButton, 0, wx.ALL, 10)

        panel.SetSizer(box)

        self.Bind(wx.EVT_BUTTON, self.OnNix, machtNixButton)
        self.Bind(wx.EVT_BUTTON, self.OnAlles, besserwisserButton)
        self.Bind(wx.EVT_BUTTON, self.OnCloseMe, endeButton)
        self.Bind(wx.EVT_CLOSE, self.OnCloseWindow)

    def OnNix(self, event):
        pass

    def OnAlles(self, event):
        print("Ich weiss alles besser")

    def OnCloseMe(self, event):
        self.Close(True)

    def OnCloseWindow(self, event):
        self.Destroy()


### ---------------------------------------------------
class MyApp(wx.App):
    """Testanwendung fuer Demobeispiel"""
    def OnInit(self):
        self.fenster = MyFrame(None, 1000, "Demobeispiel")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        return True

### ---------------------------------------------------
if __name__ == '__main__':
    app = MyApp(redirect=False)
    app.MainLoop()
